=== debian/changelog ===
glycin (1.1.2+ds-4) unstable; urgency=medium

  * Build with yeslogic-fontconfig-sys 5.0
  * Stop patching env-logger dependency

 -- Matthias Geiger <werdahias@debian.org>  Thu, 02 Jan 2025 13:57:30 +0100

glycin (1.1.2+ds-3) unstable; urgency=medium

  [ Matthias Geiger ]
  * Stop patching jpegxl dependency; build with jpegxl 0.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Dec 2024 14:21:15 -0500

glycin (1.1.2+ds-2) unstable; urgency=medium

  * Add patches to build with jpeg-xl 0.9
  * Build the jpeg-xl loader
  * Update package description
  * Update Homepage etc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 18:18:33 -0500

glycin (1.1.2+ds-1) unstable; urgency=medium

  * New upstream release
  * d/p/relax-deps.diff: Stop patching tokio-stream
  * d/p/relax-deps: Stop patching exr feature for image
  * Add patch header for relax-deps.diff and skip-cargo-test.diff

 -- Matthias Geiger <werdahias@debian.org>  Fri, 06 Dec 2024 00:50:14 +0100

glycin (1.1.1+ds-3) unstable; urgency=medium

  * Source-only upload to unstable (Closes: #1088666, #1081752)
  * d/p/skip-cargo-test.diff: Refresh for new upstream
  * Drop d/patches/relax-png.diff, obsoleted
  * d/p/patch-meson.diff: Refresh for new upstream
  * d/p/disable-exr.diff: Refresh for new upstream
  * Updated watch file to reflect upstream rename
  * Add patch to relax dependencies
  * d/control: Updated build-deps from Cargo.toml for new upstream
  * Amend d/p/patch-meson for correct loader install path

 -- Matthias Geiger <werdahias@debian.org>  Thu, 05 Dec 2024 20:36:12 +0100

glycin (1.1.1+ds-2) unstable; urgency=medium

  * New upstream release with renamed source package

 -- Matthias Geiger <werdahias@debian.org>  Thu, 05 Dec 2024 20:35:20 +0100

glycin-loaders (1.0.1+ds-3) unstable; urgency=medium

  * d/rules: Disable lto on armel/hf since it OOMs otherwise

 -- Matthias Geiger <werdahias@debian.org>  Mon, 19 Aug 2024 17:26:42 +0200

glycin-loaders (1.0.1+ds-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1077449)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 15:08:38 +0200

glycin-loaders (1.0.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * Updated build-dependencies for new upstream version
  * Enable svg support (Closes: #1064387)
  * Bump Standards-Version to 4.7.0; no changes needed
  * Add patch to relax png crate
  * d/copyright: updated copyright years, test image licensing info
  * Enable build-time tests; skip cargo-test as it fails
  * Updated README.debian
  * Updated copyright and d/watch for +ds version since the non-free images got dropped
    upstream

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 14:46:03 +0200

glycin-loaders (0.1.2+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Feb 2024 15:41:19 -0500

glycin-loaders (0.1.2+dfsg-1) experimental; urgency=medium

  * Initial release. (Closes: #1050853)

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 01 Sep 2023 10:34:10 +0200
