## glycin 1.1.4+ds

=== debian/changelog ===
glycin (1.1.4+ds-1build1) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Feb 2025 15:58:52 -0500

glycin (1.1.4+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Exclude target/* directory, too

 -- Matthias Geiger <werdahias@debian.org>  Wed, 08 Jan 2025 21:28:36 +0100
