## glycin 1.2~beta.1+ds

=== debian/changelog ===
glycin (1.2~beta.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * d/control: Update dependencies for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Feb 2025 23:41:10 +0100
