=== debian/control ===
Source: glycin
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.57),
 libcairo2-dev (>= 0.17.0),
 libgtk-4-dev,
 libheif-dev (>= 0.14.2),
 cargo:native,
 rustc:native (>= 1.80),
 libstd-rust-dev,
 librust-async-fs-2+default-dev (>= 2.1.0-~~),
 librust-async-io-2+default-dev (>= 2.3.2-~~),
 librust-async-lock-3+default-dev (>= 3.3.0-~~),
 librust-blocking-1+default-dev (>= 1.6.1-~~),
 librust-cairo-rs-0.20+default-dev (>= 0.20-~~),
 librust-env-logger-0.11+humantime-dev,
 librust-futures-channel-0.3+default-dev,
 librust-futures-lite-2+default-dev,
 librust-futures-task-0.3+default-dev,
 librust-futures-timer-3+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-gdk4-0.9+default-dev (>= 0.9.5-~~),
 librust-gdk4-0.9+v4-16-dev (>= 0.9.5-~~),
 librust-gio-0.20+default-dev (>= 0.20-~~),
 librust-glib-0.20+default-dev (>= 0.20.0-~~),
 librust-glycin-2+default-dev (>= 2.1.0~beta-~~),
 librust-glycin-utils+default-dev (>= 3.0.0~beta-~~),
 librust-glycin-utils+async-io-dev (>= 3.0.0~beta-~~),
 librust-glycin-utils+loader-utils-dev (>= 3.0.0~beta-~~),
 librust-gufo-0.2+all-image-formats-dev (>= 0.2.0~alpha-~~),
 librust-gufo-0.2+default-dev (>= 0.2.0~alpha-~~),
 librust-gufo-common-0.2+serde-dev,
 librust-gufo-exif-0.2+default-dev,
 librust-gufo-jpeg-0.2+default-dev,
 librust-image-0.25+default-dev,
 librust-jpeg-encoder-0.6+default-dev,
 librust-jpegxl-rs-0.10+image-dev (>= 0.10.0-~~),
 librust-jpegxl-sys-0.10+default-dev (>= 0.10.0-~~),
 librust-lcms2-6+default-dev (>= 6.0.3-~~),
 librust-lcms2-sys-4+default-dev (>= 4.0.4-~~),
 librust-libc-0.2+default-dev (>= 0.2.152-~~),
 librust-libseccomp-0.3+default-dev (>= 0.3.0-~~),
 librust-libheif-rs-1+default-dev,
 librust-librsvg-rebind-0.1+default-dev,
 librust-log-0.4+default-dev (>= 0.4.0-~~),
 librust-memfd-0.6+default-dev (>= 0.6.3-~~),
 librust-memmap2-0.9+default-dev (>= 0.9.0-~~),
 librust-nix-0.29+fs-dev,
 librust-nix-0.29+resource-dev,
 librust-nix-0.29+signal-dev,
 librust-paste-1+default-dev (>= 1.0.0-~~),
 librust-rmp-serde-1+default-dev (>= 1.3.0-~~),
 librust-safe-transmute-0.11+default-dev (>= 0.11.2-~~),
 librust-serde-1+derive-dev (>= 1.0.162),
 librust-static-assertions-1+default-dev (>= 1.1.0),
 librust-system-deps-7+default-dev (>= 7.0-~~),
 librust-thiserror-1+default-dev (>= 1.0.57-~~),
 librust-tokio-1+fs-dev (>= 1.35.1-~~),
 librust-tokio-1+rt-dev (>= 1.35.1-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.35.1-~~),
 librust-tokio-stream-0.1+fs-dev (>= 0.1.15-~~),
 librust-tracing-0.1+default-dev (>= 0.1.40-~~),
 librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.0-~~),
 librust-tracing-subscriber-0.3+env-filter-dev (>= 0.3.0-~~),
 librust-yeslogic-fontconfig-sys-5+default-dev (>= 5.0.0-~~),
 librust-zbus-5+p2p-dev (>= 5.2.0-~~),
 librust-zune-jpeg-0.4+default-dev,
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/GNOME/glycin
Vcs-Browser: https://salsa.debian.org/gnome-team/glycin
Vcs-Git: https://salsa.debian.org/gnome-team/glycin.git

Package: glycin-loaders
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: sandboxed image loaders for GNOME
 Glycin provides sandboxed modular image loaders for decoding
 images as GDK textures, editing images, and extracting image
 metadata. Glycin is a newer generation of image loading
 compared to gdk-pixbuf.
 .
 This package contains the image loaders.
