## glycin 1.2.0+ds

=== debian/changelog ===
glycin (1.2.0+ds-5) unstable; urgency=medium

  * Fix dh_auto_test syntax
  * Remove obsolete debian/README.Debian
  * Add minimal debian/.editorconfig to work around upstream #133

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 18:56:25 -0400

glycin (1.2.0+ds-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Build-Depends: dh-sequence-gir
  * Add more Build-Depends recommended by dh_girepository
  * Remove unnecessary Provides and add the necessary Provides
  * Remove unnecessary Pre-Depends
  * Add symbols files
  * Release to unstable

  [ Matthias Geiger ]
  * d/rules: Increase test timeout multiplier

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 17:46:14 -0400

glycin (1.2.0+ds-3) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Salsa CI: stop skipping reproducibility test

  [ Marvin W ]
  * Add support to build libglycin/-gtk4 (Closes: #1101918)

 -- Matthias Geiger <werdahias@debian.org>  Thu, 03 Apr 2025 16:45:46 +0200

glycin (1.2.0+ds-2) unstable; urgency=medium

  * d/patches, d/control: Build with jpeg-xl-rs 0.11

 -- Matthias Geiger <werdahias@debian.org>  Sat, 15 Mar 2025 20:39:57 +0100

glycin (1.2.0+ds-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Refresh for new upstream
  * d/control: Bump minumum glycin(-utils) dependency

 -- Matthias Geiger <werdahias@debian.org>  Fri, 14 Mar 2025 22:15:47 +0100

glycin (1.2~rc+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1099233)
  * d/patches: Refresh for new upstream
  * d/control: Update build-dependencies

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Mar 2025 18:25:32 +0100

glycin (1.2~beta.1+ds-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Ignore repotest in Salsa CI

  [ Matthias Geiger ]
  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Thu, 13 Feb 2025 19:44:57 +0100
