=== debian/control ===
--- 
+++ 
@@ -6,7 +6,13 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-gir,
  meson (>= 0.57),
+ gobject-introspection,
+ valac,
+ gir1.2-gdk-4.0-dev,
+ gir1.2-gobject-2.0-dev,
+ gir1.2-gio-2.0-dev,
  libcairo2-dev (>= 0.17.0),
  libgtk-4-dev,
  libheif-dev (>= 0.14.2),
@@ -28,19 +34,19 @@
  librust-gdk4-0.9+v4-16-dev (>= 0.9.5-~~),
  librust-gio-0.20+default-dev (>= 0.20-~~),
  librust-glib-0.20+default-dev (>= 0.20.0-~~),
- librust-glycin-2+default-dev (>= 2.1.0~beta-~~),
- librust-glycin-utils+default-dev (>= 3.0.0~beta-~~),
- librust-glycin-utils+async-io-dev (>= 3.0.0~beta-~~),
- librust-glycin-utils+loader-utils-dev (>= 3.0.0~beta-~~),
- librust-gufo-0.2+all-image-formats-dev (>= 0.2.0~alpha-~~),
- librust-gufo-0.2+default-dev (>= 0.2.0~alpha-~~),
+ librust-glycin-2+default-dev (>= 2.1.0-~~),
+ librust-glycin-utils+default-dev (>= 3.0.0-~~),
+ librust-glycin-utils+async-io-dev (>= 3.0.0-~~),
+ librust-glycin-utils+loader-utils-dev (>= 3.0.0-~~),
+ librust-gufo-0.2+all-image-formats-dev (>= 0.2.0-~~),
+ librust-gufo-0.2+default-dev (>= 0.2.0-~~),
  librust-gufo-common-0.2+serde-dev,
  librust-gufo-exif-0.2+default-dev,
  librust-gufo-jpeg-0.2+default-dev,
  librust-image-0.25+default-dev,
  librust-jpeg-encoder-0.6+default-dev,
- librust-jpegxl-rs-0.10+image-dev (>= 0.10.0-~~),
- librust-jpegxl-sys-0.10+default-dev (>= 0.10.0-~~),
+ librust-jpegxl-rs-0.11+image-dev (>= 0.11.0-~~),
+ librust-jpegxl-sys-0.11+default-dev (>= 0.11.0-~~),
  librust-lcms2-6+default-dev (>= 6.0.3-~~),
  librust-lcms2-sys-4+default-dev (>= 4.0.4-~~),
  librust-libc-0.2+default-dev (>= 0.2.152-~~),
@@ -87,3 +93,103 @@
  compared to gdk-pixbuf.
  .
  This package contains the image loaders.
+
+Package: libglycin-1-0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package contains a shared library interface for glycin.
+
+Package: gir1.2-gly-1
+Architecture: any
+Multi-Arch: same
+Section: introspection
+Depends:
+ libglycin-1-0 (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package provides the GIR introspection files for libglycin.
+
+Package: libglycin-1-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libglycin-1-0 (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
+Provides:
+ ${gir:Provides}
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package contains the development files for libglycin.
+
+Package: libglycin-gtk4-1-0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package contains a shared library interface for glycin
+ which provides integration with GDK / GTK4.
+
+Package: gir1.2-glygtk4-1
+Architecture: any
+Multi-Arch: same
+Section: introspection
+Depends:
+ libglycin-gtk4-1-0 (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package provides the GIR introspection files for libglycin-gtk4.
+
+Package: libglycin-gtk4-1-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libglycin-gtk4-1-0 (= ${binary:Version}),
+ libglycin-1-dev (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
+Provides:
+ ${gir:Provides}
+Description: sandboxed image loaders for GNOME
+ Glycin provides sandboxed modular image loaders for decoding
+ images as GDK textures, editing images, and extracting image
+ metadata. Glycin is a newer generation of image loading
+ compared to gdk-pixbuf.
+ .
+ This package contains the development files for libglycin-gtk4.
