## glycin 1.2.1+ds

=== meson_options.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
     'glycin-heif',
     'glycin-image-rs',
     'glycin-jxl',
+    'glycin-raw',
     'glycin-svg',
   ],
   value: [
@@ -44,6 +45,13 @@
   type: 'boolean',
   value: true,
   description: 'Support running tests.',
+)
+
+option(
+  'tokio_tests',
+  type: 'boolean',
+  value: true,
+  description: 'Also run tests with tokio if tests are enabled.',
 )
 
 option(
