=== debian/changelog ===
glycin (1.2.1+ds-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - explicitly list the libraries listed as required by meson.build

  [ Alessandro Astone ]
  * d/rules: Cleanup misleading execute_before_dh_auto_configure target
  * d/control: Add runtime dependency on bubblewrap
    glycin spawns a subprocess sandboxed by bubblewrap to perform the
    image decoding safely.
  * d/patches, d/rules: Disable cargo tests via meson flag so that we
    can still use it for running autopkgtests
  * d/patches: Use deprecated serde-yaml crate for tests because we
    don't have a Debian package for serde-yaml-ng yet.
  * d/tests: Add autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 08:13:45 -0400

glycin (1.2.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends versions
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 13 Apr 2025 09:17:44 -0400
