=== debian/control ===
--- 
+++ 
@@ -14,8 +14,12 @@
  gir1.2-gobject-2.0-dev,
  gir1.2-gio-2.0-dev,
  libcairo2-dev (>= 0.17.0),
+ liblcms2-dev,
  libgtk-4-dev,
  libheif-dev (>= 0.14.2),
+ libjxl-dev (>= 0.10.0),
+ libseccomp-dev,
+ librsvg2-dev (>= 2.52.0),
  cargo:native,
  rustc:native (>= 1.80),
  libstd-rust-dev,
@@ -34,12 +38,12 @@
  librust-gdk4-0.9+v4-16-dev (>= 0.9.5-~~),
  librust-gio-0.20+default-dev (>= 0.20-~~),
  librust-glib-0.20+default-dev (>= 0.20.0-~~),
- librust-glycin-2+default-dev (>= 2.1.0-~~),
- librust-glycin-utils+default-dev (>= 3.0.0-~~),
- librust-glycin-utils+async-io-dev (>= 3.0.0-~~),
- librust-glycin-utils+loader-utils-dev (>= 3.0.0-~~),
- librust-gufo-0.2+all-image-formats-dev (>= 0.2.0-~~),
- librust-gufo-0.2+default-dev (>= 0.2.0-~~),
+ librust-glycin-2+default-dev (>= 2.1.1-~~),
+ librust-glycin-utils+default-dev (>= 3.0.1-~~),
+ librust-glycin-utils+async-io-dev (>= 3.0.1-~~),
+ librust-glycin-utils+loader-utils-dev (>= 3.0.1-~~),
+ librust-gufo-0.2+all-image-formats-dev (>= 0.2.3-~~),
+ librust-gufo-0.2+default-dev (>= 0.2.3-~~),
  librust-gufo-common-0.2+serde-dev,
  librust-gufo-exif-0.2+default-dev,
  librust-gufo-jpeg-0.2+default-dev,
@@ -63,6 +67,7 @@
  librust-rmp-serde-1+default-dev (>= 1.3.0-~~),
  librust-safe-transmute-0.11+default-dev (>= 0.11.2-~~),
  librust-serde-1+derive-dev (>= 1.0.162),
+ librust-serde-yaml-dev (>= 0.9.33),
  librust-static-assertions-1+default-dev (>= 1.1.0),
  librust-system-deps-7+default-dev (>= 7.0-~~),
  librust-thiserror-1+default-dev (>= 1.0.57-~~),
@@ -84,6 +89,7 @@
 Package: glycin-loaders
 Architecture: any
 Depends:
+ bubblewrap,
  ${shlibs:Depends},
  ${misc:Depends},
 Description: sandboxed image loaders for GNOME
