=== debian/tests/control ===
Tests: integration-tests
Depends: @builddeps@,
         glycin-loaders,
         python3,
         python3-gi,
         gir1.2-gly-1,
         gir1.2-glygtk4-1,
# isolation-machine: needs an environment that can run bwrap
# allow-stderr: debian cargo wrapper is printing to stderr
Restrictions: isolation-machine, allow-stderr
