## glycin 2.0~beta.2+ds

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,12 @@
 # global
+
+option(
+  'lto',
+  type: 'combo',
+  choices: ['true', 'false', 'auto'],
+  value: 'auto',
+  description: 'Control link time optimizations. The "auto" options enables LTO on x86_64 and aarch64 only. Other platforms often do not provide enough memory.',
+)
 
 option(
   'profile',
@@ -31,7 +39,7 @@
     'glycin-jxl',
     'glycin-svg',
   ],
-  description: 'List of loaders to build.',
+  description: 'List of loaders to build. Only has an effect if "glycin-loaders" is enabled.',
 )
 
 option(
@@ -43,14 +51,12 @@
 option(
   'tests',
   type: 'boolean',
-  value: true,
   description: 'Support running tests.',
 )
 
 option(
   'tokio_tests',
   type: 'boolean',
-  value: true,
   description: 'Also run tests with tokio if tests are enabled.',
 )
 
@@ -66,7 +72,13 @@
 option(
   'libglycin',
   type: 'boolean',
-  description: 'Build C bindings for the glycin crate',
+  description: 'Build libglycin C bindings for the glycin crate',
+)
+
+option(
+  'libglycin-gtk4',
+  type: 'boolean',
+  description: 'Build libglycin-gtk4 C bindings with contain GTK 4 dependent functions. If "libglycin" is disabled, this links to an installed libglycin library.',
 )
 
 option(
@@ -94,3 +106,11 @@
   value: false,
   description: 'Test python bindings. Needs python3-gi',
 )
+
+# thumbnailer
+
+option(
+  'glycin-thumbnailer',
+  type: 'boolean',
+  description: 'Build thumbnailer',
+)
