=== debian/changelog ===
glycin (2.0~beta.2+ds-0ubuntu2) questing; urgency=medium

  * Remove Breaks: shortwave

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 19:35:25 -0400

glycin (2.0~beta.2+ds-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2120186)
  * d/p: Drop patches applied upstream
  * d/p/patch-meson.diff: Rebase patch
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * debian: Rename packages for version 2
  * debian: Add glycin-thumbnailers package
  * d/control: libglycin depends on glycin-loaders
  * d/control: glycin-loaders Breaks loupe and shortwave
  * d/control: Depend on HEIC and AVIF encoders

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Aug 2025 11:43:03 +0200

glycin (1.2.1+ds-2ubuntu1) questing; urgency=medium

  [ Sebastien Bacher ]
  * Vendor the rust crates for Ubuntu
  * Disable patches:
    - d/p/relax-deps.diff
    - d/p/relax-jpeg-xl.diff
    - d/p/tests-serde-yaml.diff

  [ Alessandro Astone ]
  * d/rules: Move cleanup of libteststatic.a to dh_auto_clean
  * d/tests: Run execute_before_dh_auto_build before compiling tests
  * Update vendored rust crates
  * Build-Depends: quilt
  * README.source: Explain that dh-cargo-vendored-sources might not output anything

  [ Jeremy Bícha ]
  * Simplify handling exclusion of .a file
  * README.source: Remove the "general overview"
  * README.source: Add prerequisites
  * README.source: apply patches instead of discussing it
  * Use a custom vendor rule in debian/rules rather than in debian/README.source

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 01 Jul 2025 16:51:33 +0200
